## bouncycastle 1.68

=== debian/changelog ===
bouncycastle (1.68-5) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Correct pom version in bctls (was 1.65, should be 1.68)
  * debian/rules: use pkg-info.mk variable in get-orig-pom target

  [ Jochen Sprickerhof ]
  * Replace which by command -v

 -- tony mancill <tmancill@debian.org>  Thu, 04 Nov 2021 17:13:52 -0700

bouncycastle (1.68-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.6.0
  * Mark -doc packages Multi-Arch: foreign

 -- tony mancill <tmancill@debian.org>  Sun, 10 Oct 2021 15:34:04 -0700

bouncycastle (1.68-3) experimental; urgency=medium

  * Team upload.
  * Add libbctls-java binary package (Closes: #988065)

 -- tony mancill <tmancill@debian.org>  Fri, 14 May 2021 08:15:20 -0700

bouncycastle (1.68-2) unstable; urgency=medium

  * Team upload.
  * Update poms for upstream version 1.68 (Closes: #988486)

 -- tony mancill <tmancill@debian.org>  Thu, 13 May 2021 19:14:07 -0700

bouncycastle (1.68-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Restored DEREnumerated, DERInteger and DERObjectIdentifier
      (removed in BC 1.67)
    - Made DERNull and DEROutputStream public again (private since BC 1.67)
    - Restored the getValidDate() method in CertPathValidatorUtilities
      (removed in BC 1.68)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 19 Jan 2021 09:45:43 +0100

bouncycastle (1.65-2) unstable; urgency=medium

  * Team upload
  * Corrected constant time equals (CVE-2020-28052) (Closes: #977683)
    Thank you to Salvatore Bonaccorso for the patch.
  * Bump Standards-Version to 4.5.1
  * Use https URLs in copyright, control and watch
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 03 Jan 2021 18:39:32 -0800
