=== debian/control ===
Source: bouncycastle
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant,
               ant-optional,
               debhelper-compat (= 13),
               default-jdk (>= 1:1.6),
               javahelper,
               junit4,
               libmail-java,
               maven-repo-helper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/bouncycastle.git
Vcs-Browser: https://salsa.debian.org/java-team/bouncycastle
Homepage: https://www.bouncycastle.org
Rules-Requires-Root: no

Package: libbcprov-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libbcprov-java-doc
Breaks: jakarta-jmeter (<< 2.8-1~),
        jenkins-instance-identity (<< 1.3-1~),
        jglobus (<< 2.0.6-1~),
        libcanl-java (<< 2.3.0~),
        libitext-java (<< 2.1.7-6~),
        libpdfbox-java (<< 1:1.8.2+dfsg-1~),
        voms-api-java (<< 2.0.9-1.1~)
Description: Bouncy Castle Java Cryptographic Service Provider
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains a JCE provider and a lightweight crypto API.

Package: libbcprov-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Bouncy Castle Java Cryptographic Service Provider (Documentation)
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains the Javadoc for libbcprov-java.

Package: libbcmail-java
Architecture: all
Depends: libbcpkix-java (>= ${source:Version}),
         libbcprov-java (>= ${source:Version}),
         libmail-java,
         ${misc:Depends}
Suggests: libbcmail-java-doc
Description: Bouncy Castle generators/processors for S/MIME and CMS
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains generators and processors for S/MIME and CMS
 (PKCS7/RFC 3852).

Package: libbcmail-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Bouncy Castle generators/processors for S/MIME and CMS (Documentation)
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains the Javadoc for libbcmail-java.

Package: libbcpkix-java
Architecture: all
Depends: libbcprov-java (>= ${source:Version}), ${misc:Depends}
Suggests: libbcpkix-java-doc
Description: Bouncy Castle Java API for PKIX, CMS, EAC, TSP, PKCS, OCSP, CMP, and CRMF
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains generators and processors for PKIX, CMS,
 EAC, TSP, PKCS, OCSP, CMP, and CRMF.

Package: libbcpkix-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Bouncy Castle Java API for PKIX, CMS, EAC, TSP, PKCS... (Documentation)
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains the Javadoc for libbcpkix-java.

Package: libbcpg-java
Architecture: all
Depends: libbcprov-java (>= ${source:Version}), ${misc:Depends}
Suggests: libbcpg-java-doc
Description: Bouncy Castle generators/processors for OpenPGP
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains generators and processors for OpenPGP (RFC 2440).

Package: libbcpg-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Bouncy Castle generators/processors for OpenPGP (Documentation)
 The Bouncy Castle Crypto package is a Java implementation of
 cryptographic algorithms.
 .
 This package contains the Javadoc for libbcpg-java.

Package: libbctls-java
Architecture: all
Depends: libbcprov-java (>= ${source:Version}),
         ${misc:Depends}
Suggests: libbctls-java-doc
Description: Bouncy Castle JSSE provider and TLS/DTLS API
 The Bouncy Castle Java APIs for TLS and DTLS, including a
 provider for the JSSE.

Package: libbctls-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Bouncy Castle JSSE provider and TLS/DTLS API (Documentation)
 The Bouncy Castle Java APIs for TLS and DTLS, including a
 provider for the JSSE.
 .
 This package contains the Javadoc for libbctls-java.
