## bouncycastle 1.71

=== debian/changelog ===
bouncycastle (1.71-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Made ASN1OutputStream constructor public again (private since BC 1.70)
    - Made ContentInfo constructor public again (private since BC 1.70)
  * Fixed the name of bctls.jar bcutil.jar in /usr/share/java
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2022 19:51:47 +0200

bouncycastle (1.69-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.69
  * Add new binary packages: libbcutil-java and libbcutil-java-doc
    for the Bouncy Castle ASN.1 Extension and Utility APIs.
    Add libbcjmail-java for the Bouncy Castle Jakarta S/MIME API;
    upstream does not create a javadoc jar for bcjmail.
  * Update debian/watch to retrieve upstream tarball from Github
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Fri, 05 Nov 2021 15:34:18 -0700
