=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
                default-jdk (>= 1:1.6),
                javahelper,
                junit4,
+               libjakarta-activation-java,
+               libjakarta-mail-java,
                libmail-java,
                maven-repo-helper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/java-team/bouncycastle.git
 Vcs-Browser: https://salsa.debian.org/java-team/bouncycastle
 Homepage: https://www.bouncycastle.org
@@ -49,6 +51,7 @@
 Architecture: all
 Depends: libbcpkix-java (>= ${source:Version}),
          libbcprov-java (>= ${source:Version}),
+         libbcutil-java (>= ${source:Version}),
          libmail-java,
          ${misc:Depends}
 Suggests: libbcmail-java-doc
@@ -72,7 +75,9 @@
 
 Package: libbcpkix-java
 Architecture: all
-Depends: libbcprov-java (>= ${source:Version}), ${misc:Depends}
+Depends: libbcprov-java (>= ${source:Version}),
+         libbcutil-java (>= ${source:Version}),
+         ${misc:Depends}
 Suggests: libbcpkix-java-doc
 Description: Bouncy Castle Java API for PKIX, CMS, EAC, TSP, PKCS, OCSP, CMP, and CRMF
  The Bouncy Castle Crypto package is a Java implementation of
@@ -116,6 +121,7 @@
 Package: libbctls-java
 Architecture: all
 Depends: libbcprov-java (>= ${source:Version}),
+         libbcutil-java (>= ${source:Version}),
          ${misc:Depends}
 Suggests: libbctls-java-doc
 Description: Bouncy Castle JSSE provider and TLS/DTLS API
@@ -132,3 +138,37 @@
  provider for the JSSE.
  .
  This package contains the Javadoc for libbctls-java.
+
+Package: libbcutil-java
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: libbcutil-java-doc
+Description: Bouncy Castle ASN.1 Extension and Utility APIs
+ The Bouncy Castle Java APIs for ASN.1 extension and utility APIs used
+ to support bcpkix and bctls.
+
+Package: libbcutil-java-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Bouncy Castle ASN.1 Extension and Utility APIs (Documentation)
+ The Bouncy Castle Java APIs for ASN.1 extension and utility APIs used
+ to support bcpkix and bctls.
+ .
+ This package contains the Javadoc for libbcutil-java.
+
+Package: libbcjmail-java
+Architecture: all
+Depends: libbcpkix-java (>= ${source:Version}),
+         libbcprov-java (>= ${source:Version}),
+         libbcutil-java (>= ${source:Version}),
+         libjakarta-activation-java,
+         libjakarta-mail-java,
+         ${misc:Depends}
+Description: Bouncy Castle Jakarta S/MIME API
+ The Bouncy Castle Java S/MIME APIs for handling S/MIME protocols. This jar
+ contains S/MIME APIs for JDK 1.5 and up. The APIs can be used in conjunction
+ with a JCE/JCA provider such as the one provided with the Bouncy Castle
+ Cryptography APIs. The Jakarta Mail API and the Jakarta activation framework
+ will also be needed.
