=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export CLASSPATH=/usr/share/java/javax.mail.jar
+export CLASSPATH=/usr/share/java/javax.mail.jar:/usr/share/java/jakarta-mail-api.jar:/usr/share/java/jakarta-activation.jar
 
 %:
 	dh $@ --buildsystem=ant --with maven-repo-helper --with javahelper
 
 override_dh_auto_build:
 	mkdir -p core/src/test/data
-	for component in core prov tls pkix pg mail; do mkdir -p $${component}/src/test/resources; done;
+	for component in core prov tls pkix pg mail util jmail; do mkdir -p $${component}/src/test/resources; done;
 	dh_auto_build -- -f ant/jdk15+.xml build-provider build -Djunit.jar.home=/usr/share/java/junit4.jar
 
 override_dh_auto_install:
@@ -25,7 +25,7 @@
 
 get-orig-pom:
 	mkdir -p debian/poms
-	for pom in bcprov bcpg bcmail bcpkix bctls; do \
+	for pom in bcprov bcpg bcmail bcpkix bctls bcutil bcjmail; do \
 		wget -O debian/poms/$${pom}.pom -U NoAgent-1.0 \
 			https://repo1.maven.org/maven2/org/bouncycastle/$${pom}-jdk15on/$(DEB_VERSION_UPSTREAM)/$${pom}-jdk15on-$(DEB_VERSION_UPSTREAM).pom ; \
 	done ;
