## bouncycastle 1.72

=== debian/changelog ===
bouncycastle (1.72-2) unstable; urgency=medium

  * Applied a PGP fix from the untagged 1.72.3 release (Closes: #1026329)
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2023 09:45:13 +0100

bouncycastle (1.72-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Set the default encoding to UTF-8 when building
  * Removed the -java-doc packages
  * Standards-Version updated to 4.6.1
  * Remove constraints unnecessary since buster (oldstable)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2022 10:33:50 +0100
