=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	mkdir -p core/src/test/data
 	for component in core prov tls pkix pg mail util jmail; do mkdir -p $${component}/src/test/resources; done;
-	dh_auto_build -- -f ant/jdk15+.xml build-provider build -Djunit.jar.home=/usr/share/java/junit4.jar
+	JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8	dh_auto_build -- -f ant/jdk15+.xml build-provider build -Djunit.jar.home=/usr/share/java/junit4.jar
 
 override_dh_auto_install:
 	dh_auto_install
@@ -27,5 +27,5 @@
 	mkdir -p debian/poms
 	for pom in bcprov bcpg bcmail bcpkix bctls bcutil bcjmail; do \
 		wget -O debian/poms/$${pom}.pom -U NoAgent-1.0 \
-			https://repo1.maven.org/maven2/org/bouncycastle/$${pom}-jdk15on/$(DEB_VERSION_UPSTREAM)/$${pom}-jdk15on-$(DEB_VERSION_UPSTREAM).pom ; \
+			https://repo1.maven.org/maven2/org/bouncycastle/$${pom}-jdk18on/$(DEB_VERSION_UPSTREAM)/$${pom}-jdk18on-$(DEB_VERSION_UPSTREAM).pom ; \
 	done ;
