=== debian/watch ===
version=4
opts=repack,compression=xz,uversionmangle=s/rv/./g,dversionmangle=s/\+dfsg// \
https://github.com/bcgit/bc-java/tags .*/r([\drv]+).tar.gz
