## bouncycastle 1.77

=== debian/changelog ===
bouncycastle (1.77-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.77. (Closes: #1049356)
    - Fix CVE-2023-33201: potential blind LDAP injection attack.
      (Closes: #1040050)
    - Fix CVE-2023-33202: potential Denial of Service (DoS) issue within
      the Bouncy Castle org.bouncycastle.openssl.PEMParser class.
      (Closes: #1056754)
  * Update poms to version 1.77.
  * Drop bouncycastle-1.72.3.patch. Fixed upstream.
  * Remove backward-compatibility.patch. It is time to fix those issues
    properly in our reverse-dependencies.
  * Refresh the remaining patches.

 -- Markus Koschany <apo@debian.org>  Thu, 30 Nov 2023 13:08:45 +0100
