=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
 Package: libbcutil-java
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Bouncy Castle ASN.1 Extension and Utility APIs
  The Bouncy Castle Java APIs for ASN.1 extension and utility APIs used
  to support bcpkix and bctls.
