## bouncycastle 1.80

=== debian/changelog ===
bouncycastle (1.80-3) unstable; urgency=medium

  * Team upload.
  * Backport the fix for EncryptionOperationNotPossibleException with jasypt.
    (Closes: #1100227)

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Fri, 11 Apr 2025 14:03:01 +0000

bouncycastle (1.80-2) unstable; urgency=medium

  * libbcutil-java now depends on libbcprov-java
  * Added relocations for the jdk15on, jdk15to18 and jdk18on artifacts

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Mar 2025 08:29:30 +0100

bouncycastle (1.80-1) unstable; urgency=medium

  * New upstream release (Closes: #1070655, #1094311)
    - Refreshed the patches
    - Updated the Maven poms
  * Run the Java 8+ build file instead of the Java 5+ one (Closes: #1032164)
  * No longer build the javadoc
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Mar 2025 20:15:23 +0100
