=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libjakarta-mail-java,
                libmail-java,
                maven-repo-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/bouncycastle.git
 Vcs-Browser: https://salsa.debian.org/java-team/bouncycastle
 Homepage: https://www.bouncycastle.org
@@ -35,8 +35,6 @@
 Package: libbcmail-java
 Architecture: all
 Depends: libbcpkix-java (>= ${source:Version}),
-         libbcprov-java (>= ${source:Version}),
-         libbcutil-java (>= ${source:Version}),
          libmail-java,
          ${misc:Depends}
 Description: Bouncy Castle generators/processors for S/MIME and CMS
@@ -48,8 +46,7 @@
 
 Package: libbcpkix-java
 Architecture: all
-Depends: libbcprov-java (>= ${source:Version}),
-         libbcutil-java (>= ${source:Version}),
+Depends: libbcutil-java (>= ${source:Version}),
          ${misc:Depends}
 Description: Bouncy Castle Java API for PKIX, CMS, EAC, TSP, PKCS, OCSP, CMP, and CRMF
  The Bouncy Castle Crypto package is a Java implementation of
@@ -69,8 +66,7 @@
 
 Package: libbctls-java
 Architecture: all
-Depends: libbcprov-java (>= ${source:Version}),
-         libbcutil-java (>= ${source:Version}),
+Depends: libbcutil-java (>= ${source:Version}),
          ${misc:Depends}
 Description: Bouncy Castle JSSE provider and TLS/DTLS API
  The Bouncy Castle Java APIs for TLS and DTLS, including a
@@ -78,7 +74,7 @@
 
 Package: libbcutil-java
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libbcprov-java (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Description: Bouncy Castle ASN.1 Extension and Utility APIs
  The Bouncy Castle Java APIs for ASN.1 extension and utility APIs used
@@ -87,8 +83,6 @@
 Package: libbcjmail-java
 Architecture: all
 Depends: libbcpkix-java (>= ${source:Version}),
-         libbcprov-java (>= ${source:Version}),
-         libbcutil-java (>= ${source:Version}),
          libjakarta-activation-java,
          libjakarta-mail-java,
          ${misc:Depends}
