=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	mkdir -p core/src/test/data
 	for component in core prov tls pkix pg mail util jmail; do mkdir -p $${component}/src/test/resources; done;
-	JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8	dh_auto_build -- -f ant/jdk15+.xml build-provider build -Djunit.jar.home=/usr/share/java/junit4.jar
+	JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8	dh_auto_build -- -f ant/jdk18+.xml build-provider build -Djunit.jar.home=/usr/share/java/junit4.jar
 
 override_dh_auto_install:
 	dh_auto_install
